[Scipy-tickets] [SciPy] #1176: Failure to build superlumodule using scons, rev 6364

SciPy Trac scipy-tickets@scipy....
Mon May 24 17:23:54 CDT 2010


#1176: Failure to build superlumodule using scons, rev 6364
--------------------------+-------------------------------------------------
 Reporter:  cjgohlke      |       Owner:  cdavid
     Type:  defect        |      Status:  new   
 Priority:  normal        |   Milestone:  0.8.0 
Component:  Build issues  |     Version:  devel 
 Keywords:                |  
--------------------------+-------------------------------------------------
 Scipy svn trunk rev 6364 and 6410 (clean svn checkout), specifically the
 superlumodule extension, fail to build on Windows 7 with Python 2.6.5,
 numpy 1.4.1, numscons-0.12.0dev, msvc9, ifort 11.1, and MKL using the
 setupscons script:

 {{{
 python setupscons.py scons -b --fcompiler=ifort --compiler=msvc
 bdist_wininst --user-access-control=auto
 }}}


 {{{
 scons: *** [build\scons\scipy\sparse\linalg\dsolve\_csuperlumodule.obj]
 Source `build\scons\scipy\sparse\linalg\dsolve\_csuperlumodule.c' not
 found, needed by target
 `build\scons\scipy\sparse\linalg\dsolve\_csuperlumodule.obj'.
 scons: building terminated because of errors.
 }}}


 This used to work before the SuperLU update about 4 weeks ago. It seems
 that SConscript wasn't updated.

 This issue was posted to scipy-dev on April 30, 2010.

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1176>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list